uuid: 0050517f-f2b4-4b5d-af16-263fda3bb281
langcode: en
status: true
dependencies:
  config:
    - block_content.type.varbase_media_block
    - field.field.block_content.varbase_media_block.field_link
    - field.field.block_content.varbase_media_block.field_media
    - field.field.block_content.varbase_media_block.field_media_view_mode
  module:
    - link
    - maxlength
    - media_library
    - media_library_edit
_core:
  default_config_hash: I1_FbX68bG1l4TkjS-qO7UnCi2FhysDrReGd1FH6iTc
id: block_content.varbase_media_block.default
targetEntityType: block_content
bundle: varbase_media_block
mode: default
content:
  field_link:
    type: link_default
    weight: 3
    region: content
    settings:
      placeholder_url: ''
      placeholder_title: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
  field_media:
    type: media_library_widget
    weight: 1
    region: content
    settings:
      media_types:
        - audio
        - file
        - image
        - remote_video
        - video
    third_party_settings:
      media_library_edit:
        show_edit: '1'
  field_media_view_mode:
    type: options_select
    weight: 2
    region: content
    settings: {  }
    third_party_settings: {  }
  info:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
hidden:
  translation: true
